org.rrd4j.data

## Enum LinearInterpolator.Method

- java.lang.Object
- - java.lang.Enum<LinearInterpolator.Method>
  - - org.rrd4j.data.LinearInterpolator.Method

- All Implemented Interfaces:
    Serializable, Comparable<LinearInterpolator.Method>
  Enclosing class:
    LinearInterpolator

      public static enum LinearInterpolator.Method
      extends Enum<LinearInterpolator.Method>

  A enumeration of interpolation methods

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `LEFT`
    `LINEAR`
    `REGRESSION`
    `RIGHT`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static LinearInterpolator.Method` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static LinearInterpolator.Method[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LEFT

          public static final LinearInterpolator.Method LEFT

    - #### LINEAR

          public static final LinearInterpolator.Method LINEAR

    - #### REGRESSION

          public static final LinearInterpolator.Method REGRESSION

    - #### RIGHT

          public static final LinearInterpolator.Method RIGHT

  - ### Method Detail

    - #### valueOf

          public static LinearInterpolator.Method valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### values

          public static LinearInterpolator.Method[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LinearInterpolator.Method c : LinearInterpolator.Method.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared